#!/bin/sh -f 

export CC=gcc
export CXX=g++
export FC=f95
export F77=f95
export F90=f95

export ELMER_HOME=/home/olvm
LIBS="-L$ELMER_HOME/elmerfem/lib" 
CPPFLAGS=" -I$ELMER_HOME/elmerfem/include" 
FCPPFLAGS=" -I$ELMER_HOME/elmerfem/include" 
CFLAGS="-g -O2 -I$ELMER_HOME/elmerfem/include" 
CCFLAGS="-g -O2 -I$ELMER_HOME/elmerfem/include" 
CXXFLAGS="-g -O2 -I$ELMER_HOME/elmerfem/include"
FCFLAGS=" -I$ELMER_HOME/elmerfem/include" 

modules="matc umfpack mathlibs elmergrid meshgen2d eio hutiter fem" 

for m in $modules; do
cd $m ;
echo; echo CONFIGURING ELMER MODULE $m; echo; 
./autogen.sh ;
./configure --prefix=$ELMER_HOME/elmerfem ;
echo; echo BUILDING ELMER MODULE $m; echo; 
#make clean   
make -j 3 ;
echo; echo INSTALLING ELMER MODULE $m; echo; 
make install ;
cd .. ;
done

exit
